Subject: Re: [bess] Seeking Feedback on evpn-auto-provisoning

From: Tapraj Singh <[email-masked]>
Date: Wed, 11 Nov 2015 18:27:58 +0000

Hi Sami,
  I have gone through the draft. It looks good to me. I have few comments that we should incorporate in the next version of the draft.

  1.  Currently in the draft we have First Sign of life(FSOL) that is detected from access side only. In future we can have First sign of Life that might come from core side as well. Below I am putting different FSOL

 A) Access side L2 First Sign of Life (FSOL)

  1. Unclassified Mac

     1.1 IPoE

     1.2 PPPoE

     1.3 Mac Session

  2. Unclassified Vlan

  3. Control Protocols (i.e. ELMI, MVRP, DHCP)

B) First Sign Life that is detected from Core Side

  1.  This can be detected whenever the IM route is detected for a given EVI and VLAN in BGP IM Route for a given EVI.

   2. Currently in the draft we are putting that there is a default bridge domain which take of sending FSOL to Controller and based on the identification(Router, port, vlan, mac etc) received in the FSOL corresponding service profile is pushed to the EVPN enable switch or router.  Here I would like to suggest that we should put a concept of L2 Context that is configured on port and Based on the L2 Context policies,  If first sign of LIFE packet is classified into L2 context then router or switch will send the FSOL to controller for downloading the service profile to router or switches from Controller.
       Example:
    Interface ge-1/0/0
Logical-port l2-context
l2-context type {mac, vlan, pppoe, ipoe, elmi, mvrp etc)
Encapsulation dot1q <vlan with other combinations>  <------configured if l2 context type vlan>
Service-policies  -----> This is need for check if service template is configured on the box itself and need to be either downloaded from controller.
3.  We should provide the template for service definition for provisioning service end to end based on the First sign of life packet.
 <nasport>:<mac-address> {
                  Customer ABC:
                 matching  criteria

        Re-Write

        Forwarding Service "EVPN-EVI-100"

                 Qos Profile "BRONZE"
                 CFM: MIPS/MEPs
 }
     Will work with you and will send information offline so that we can make this draft complete for handling auto-provisioning of EVPN enabled services for different type of FSOL and provision the service end-to-end.

Thanks
Tapraj

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Sami Boutros <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, October 7, 2015 at 1:10 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bess] Seeking Feedback on evpn-auto-provisoning

Hi,

The draft propose an EVPN route based on the FSOL packets to be sent to a controller in a data center network, to trigger a push of the related L2/L3 service configuration to be provisioned on the PE/NVE and on the switch ports.

https://tools.ietf.org/html/draft-boutros-bess-evpn-auto-provisoning-00

Thanks,

Sami